Bug 968951 - g-i-s created user's accounts and settings are copied to new users created after g-i-s completes but before a reboot
g-i-s created user's accounts and settings are copied to new users created af...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
AcceptedBlocker https://fedoraproject...
: CommonBugs
Depends On:
Blocks: F19Blocker/F19FinalBlocker
  Show dependency treegraph
 
Reported: 2013-05-30 06:49 EDT by Vojtěch Boček
Modified: 2013-06-20 01:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: gnome-initial-setup-0.12-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 01:59:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 701100 None None None Never

  None (edit)
Description Vojtěch Boček 2013-05-30 06:49:37 EDT
Description of problem:
After clean installation with no normal user created in anaconda, g-i-s asks you to create a new user. After I created new user A (and added gmail & facebook account in the process), I made a new user B in Settings->User menu. After logging out and then logging in to the user B, gmail and facebook account data from user A are in B's account.

It is unclear how much data are copied, because g-i-s has another bug - it does not save passwords to online accounts, only the usernames. It might be possible it does not copy the passwords to new users, but since it does not save them even to the first user, it is hard to tell.

The "how-to-use-gnome" video is also played after every log-in to every user.

All this only happens on first boot after installation.

Version-Release number of selected component (if applicable):
Fedora 19 Beta RC4
gnome-initial-setup-0.10.3.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Do a clean installation, set root password but don't create normal user.
2. In g-i-s, create new user A and add some online accounts.
3. Create new user B.
4. Logout (use gnome-session-quit, bug 913566)
5. Log-in to user B.
6. Go to Settings->Online Accounts

Actual results:
Accounts from the first user A were copied to user B. If g-i-s properly saved passwords to user A, it is possible those would be copied to user B and he would be able to access online accounts of user A without his password.

Expected results:
Accounts should not be copied
Comment 1 Kamil Páral 2013-05-30 07:01:12 EDT
This is tracked upstream, link added. There are obvious privacy problems here, therefore nominating for a blocker bug discussion.

This problem only occurs for the first boot. If you reboot, all the issues should be gone - user details are no longer copied to new accounts and the welcome video is no longer played on each login.
Comment 2 Adam Williamson 2013-05-30 13:12:28 EDT
Discussed at 2013-05-30 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-30/f19final-blocker-review-1.1.2013-05-30-16.02.log.txt . Accepted as a blocker per criterion "The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation)".

The https://access.redhat.com/security/updates/classification/ page categorizes 'important' security issues as:

"This rating is given to flaws that can easily compromise the confidentiality, integrity, or availability of resources."

This certainly seems to constitute 'can easily compromise the confidentiality of resources'.
Comment 3 Adam Williamson 2013-06-12 13:47:16 EDT
This was fixed upstream on 06-06 - six days ago - but only in git master, it looks like. As this is an F19 blocker, we either need a new upstream release and then to have that packaged for F19 and submitted as an update, or we need to have the fixes backported to the F19 package as patches against 0.11. Rui / Jasper, can you please take care of that? Thanks!
Comment 4 Fedora Update System 2013-06-17 19:01:17 EDT
gnome-initial-setup-0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-initial-setup-0.12-1.fc19
Comment 5 Fedora Update System 2013-06-18 15:43:14 EDT
Package gnome-initial-setup-0.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-initial-setup-0.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11190/gnome-initial-setup-0.12-1.fc19
then log in and leave karma (feedback).
Comment 6 Adam Williamson 2013-06-18 19:28:40 EDT
Note: this build is in F19 Final TC5, the fix can be tested there. I'm testing it at present.
Comment 7 Adam Williamson 2013-06-18 19:33:36 EDT
Fix looks to be confirmed in TC5, I followed the reproduction steps in the report and the first user's account is not present in the second user's config. g-i-s ran for the second user.
Comment 8 Fedora Update System 2013-06-20 01:59:44 EDT
gnome-initial-setup-0.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.